[Haskell-cafe] Memory and Threads - MVars or TVars

Job Vranish job.vranish at gmail.com
Thu Jul 29 09:53:51 EDT 2010

You might try pulling downloading the package ('cabal fetch org'  will do
this) and changing the base dependency (to >= 4.1) in the orc.cabal file and
then build it manually (cabal configure && cabal build && cabal install
(while in the same directory as the .cabal file)) and see what happens.

I don't see any obvious reasons why it would need a version greater than
6.10, so it might just be an over restrictive dependency rule, but I might
be missing something.

- Job

On Wed, Jul 28, 2010 at 10:49 PM, Eitan Goldshtrom
<thesourceofx at gmail.com>wrote:

> Ah! That clears that up a lot. I read the wiki page but something just
> didn't make full sense about it until you used the word "prevent". I
> understand that the computer doesn't actually prevent other threads from
> running -- that would defeat the purpose of the concurrency -- but it helped
> clear it up. Perhaps you guys could help me with Cabal now though? I'm
> trying to install Orc but it wants base>=4.2 and <=4.3 and I have 4.1 after
> installing the latest release of GHC. Cabal won't upgrade the base. It
> complains about a dependency to "integer-simple". Anyone know what that's
> about?
> -Eitan
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe at haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.haskell.org/pipermail/haskell-cafe/attachments/20100729/15359521/attachment.html

More information about the Haskell-Cafe mailing list